メインコンテンツへスキップ
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
ドメインを更新
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_renew": true,
  "redirect_url": "<string>",
  "workspace_id": "<string>"
}
'
{
  "auto_renew": true,
  "id": "<string>",
  "workspace_id": "<string>",
  "redirect_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須
domain
string
必須

ボディ

application/json

顧客向けドメイン設定を更新するスキーマ。

auto_renew
boolean | null
redirect_mode
enum<string> | null

リダイレクトの作成または更新時に使用するリダイレクトモード

利用可能なオプション:
301,
302,
iframe
redirect_url
string | null

HTTPS リダイレクト URL。クリアする場合は null

workspace_id
string<uuid4> | null

レスポンス

auto_renew
boolean
必須
id
string<uuid4>
必須
workspace_id
string<uuid4>
必須
redirect_mode
enum<string> | null
利用可能なオプション:
301,
302,
iframe
redirect_url
string | null